<div class="nnr-wrap">

	<?php require_once('header.php'); ?>

	<div class="nnr-container">

		<form method="post" class="form-horizontal" role="form">

			<div role="tabpanel">

				<!-- Nav tabs -->
				<ul class="nav nav-tabs" role="tablist">
					<li role="presentation" class="active"><a href="#<?php echo self::$prefix;?>style" aria-controls="home" role="tab" data-toggle="tab"><?php _e('Layout', self::$text_domain); ?></a></li>
					<li role="presentation"><a href="#<?php echo self::$prefix;?>location" aria-controls="profile" role="tab" data-toggle="tab"><?php _e('Where to Display', self::$text_domain); ?></a></li>
					<li role="presentation"><a href="#<?php echo self::$prefix;?>query" aria-controls="messages" role="tab" data-toggle="tab"><?php _e('Query Conditions', self::$text_domain); ?></a></li>
					<li role="presentation"><a href="#<?php echo self::$prefix;?>license" aria-controls="settings" role="tab" data-toggle="tab"><?php _e('Updates', self::$text_domain); ?></a></li>
				</ul>
				<br />

				<!-- Tab panes -->

				<div class="tab-content">

					<div role="tabpanel" class="tab-pane active" id="<?php echo self::$prefix;?>style">

						<!-- Title -->

						<div class="form-group has-feedback">
							<label for="<?php echo self::$prefix_dash; ?>title" class="col-sm-2 control-label"><?php _e( 'Title', self::$text_domain); ?></label>
							<div class="col-sm-4">
								<input type="text" class="form-control" name="<?php echo self::$prefix_dash; ?>title" id="<?php echo self::$prefix_dash; ?>title" value="<?php echo isset( $settings['title'] ) ? $settings['title'] : 'Related Posts'; ?>">
								<i class="glyphicon glyphicon-info-sign form-control-feedback" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('The title of the Related Posts section. Leave blank to disable.',self::$text_domain); ?>"></i>
							</div>
						</div>

						<!-- Image -->

						<div class="form-group has-feedback">
							<label for="<?php echo self::$prefix_dash; ?>default-thumbnail" class="col-sm-2 control-label"><?php _e('Default Thumbnail', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<?php
								$image_attributes = wp_get_attachment_image_src($settings["default_thumbnail"], 'medium'); // returns an array

								if( $image_attributes ) {
									$image_src = $image_attributes[0];
								} else {
									$image_src = '';
								}
								?>

								<div id="<?php echo self::$prefix_dash; ?>default-thumbnail-show" style="<?php echo isset($image_src) && $image_src != '' ? 'background-image: url(' . $image_src . ');' : ''; ?>"></div>
								<input id="<?php echo self::$prefix_dash; ?>default-thumbnail-btn" class="btn btn-default" type="button" value="<?php _e('Set Image', self::$text_domain); ?>" />
								<input id="<?php echo self::$prefix_dash; ?>default-thumbnail-btn-remove" class="btn btn-danger" type="button" value="<?php _e('Remove Image', self::$text_domain); ?>" /><br/>
								<input id="<?php echo self::$prefix_dash; ?>default-thumbnail" name="<?php echo self::$prefix_dash; ?>default-thumbnail" class="hidden" type="text" value="<?php echo isset($settings["default_thumbnail"]) ? esc_attr($settings["default_thumbnail"]) : ''; ?>">
								<i class="glyphicon glyphicon-info-sign form-control-feedback" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('Select an image used for the post thumbnail if the post does not have a featured image. Minimum width should be at least 600 pixels.', self::$text_domain)?>"></i>
							</div>
						</div>

						<!-- Layout -->

						<div class="form-group has-feedback">
							<label for="<?php echo self::$prefix_dash; ?>layout" class="col-sm-2 control-label"><?php _e( 'Layout', self::$text_domain); ?></label>
							<div class="col-sm-10">

								<label class="<?php echo self::$prefix_dash; ?>layout-label">
									<p style="text-align: center;font-weight: bold;font-size: 20px"><?php _e('Inline Card', self::$text_domain); ?></p>
									<input type="radio" name="<?php echo self::$prefix_dash; ?>layout" class="<?php echo self::$prefix_dash; ?>layout" value="inline_card" <?php echo isset($settings['layout']) && $settings['layout'] == 'inline_card' ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo NNROBOTS_RELATED_POSTS_PLUGIN_URL . '/img/layouts/inline_card.png'; ?>"/>
								</label>

								<label class="<?php echo self::$prefix_dash; ?>layout-label">
								<p style="text-align: center;font-weight: bold;font-size: 20px"><?php _e('Stacked Card', self::$text_domain); ?></p>
									<input type="radio" name="<?php echo self::$prefix_dash; ?>layout" class="<?php echo self::$prefix_dash; ?>layout" value="stacked_card" <?php echo isset($settings['layout']) && $settings['layout'] == 'stacked_card' ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo NNROBOTS_RELATED_POSTS_PLUGIN_URL . '/img/layouts/stacked_card.png'; ?>"/>
								</label>

								<label class="<?php echo self::$prefix_dash; ?>layout-label">
								<p style="text-align: center;font-weight: bold;font-size: 20px"><?php _e('Thumbnail', self::$text_domain); ?></p>
									<input type="radio" name="<?php echo self::$prefix_dash; ?>layout" class="<?php echo self::$prefix_dash; ?>layout" value="thumbnail" <?php echo isset($settings['layout']) && $settings['layout'] == 'thumbnail' ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo NNROBOTS_RELATED_POSTS_PLUGIN_URL . '/img/layouts/thumbnail.png'; ?>"/>
								</label>

								<label class="<?php echo self::$prefix_dash; ?>layout-label">
								<p style="text-align: center;font-weight: bold;font-size: 20px"><?php _e('Grid', self::$text_domain); ?></p>
									<input type="radio" name="<?php echo self::$prefix_dash; ?>layout" class="<?php echo self::$prefix_dash; ?>layout" value="grid" <?php echo isset($settings['layout']) && $settings['layout'] == 'grid' ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo NNROBOTS_RELATED_POSTS_PLUGIN_URL . '/img/layouts/grid.png'; ?>"/>
								</label>

								<label class="<?php echo self::$prefix_dash; ?>layout-label">
								<p style="text-align: center;font-weight: bold;font-size: 20px"><?php _e('Silder', self::$text_domain); ?></p>
									<input type="radio" name="<?php echo self::$prefix_dash; ?>layout" class="<?php echo self::$prefix_dash; ?>layout" value="slider" <?php echo isset($settings['layout']) && $settings['layout'] == 'slider' ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo NNROBOTS_RELATED_POSTS_PLUGIN_URL . '/img/layouts/slider.png'; ?>"/>
								</label>

								<label class="<?php echo self::$prefix_dash; ?>layout-label">
								<p style="text-align: center;font-weight: bold;font-size: 20px"><?php _e('Image Tile', self::$text_domain); ?></p>
									<input type="radio" name="<?php echo self::$prefix_dash; ?>layout" class="<?php echo self::$prefix_dash; ?>layout" value="image_tile" <?php echo isset($settings['layout']) && $settings['layout'] == 'image_tile' ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo NNROBOTS_RELATED_POSTS_PLUGIN_URL . '/img/layouts/image_tile.png'; ?>"/>
								</label>

								<label class="<?php echo self::$prefix_dash; ?>layout-label">
								<p style="text-align: center;font-weight: bold;font-size: 20px"><?php _e('Plain List', self::$text_domain); ?></p>
									<input type="radio" name="<?php echo self::$prefix_dash; ?>layout" class="<?php echo self::$prefix_dash; ?>layout" value="list" <?php echo isset($settings['layout']) && $settings['layout'] == 'list' ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo NNROBOTS_RELATED_POSTS_PLUGIN_URL . '/img/layouts/list.png'; ?>"/>
								</label>

								<label class="<?php echo self::$prefix_dash; ?>layout-label">
								<p style="text-align: center;font-weight: bold;font-size: 20px"><?php _e('Fancy Colors', self::$text_domain); ?></p>
									<input type="radio" name="<?php echo self::$prefix_dash; ?>layout" class="<?php echo self::$prefix_dash; ?>layout" value="fancy_colors" <?php echo isset($settings['layout']) && $settings['layout'] == 'fancy_colors' ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo NNROBOTS_RELATED_POSTS_PLUGIN_URL . '/img/layouts/fancy_colors.png'; ?>"/>
								</label>

								<label class="<?php echo self::$prefix_dash; ?>layout-label">
								<p style="text-align: center;font-weight: bold;font-size: 20px"><?php _e('Colored Tabs', self::$text_domain); ?></p>
									<input type="radio" name="<?php echo self::$prefix_dash; ?>layout" class="<?php echo self::$prefix_dash; ?>layout" value="colored_tabs" <?php echo isset($settings['layout']) && $settings['layout'] == 'colored_tabs' ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo NNROBOTS_RELATED_POSTS_PLUGIN_URL . '/img/layouts/colored_tabs.png'; ?>"/>
								</label>

								<label class="<?php echo self::$prefix_dash; ?>layout-label">
								<p style="text-align: center;font-weight: bold;font-size: 20px"><?php _e('Image Flip', self::$text_domain); ?></p>
									<input type="radio" name="<?php echo self::$prefix_dash; ?>layout" class="<?php echo self::$prefix_dash; ?>layout" value="image_flip" <?php echo isset($settings['layout']) && $settings['layout'] == 'image_flip' ? 'checked="checked"' : ''; ?>>
									<img src="<?php echo NNROBOTS_RELATED_POSTS_PLUGIN_URL . '/img/layouts/image_flip.png'; ?>"/>
								</label>

							</div>
						</div>

						<!-- Number of Posts -->

						<div class="form-group has-feedback">
							<label for="<?php echo self::$prefix_dash; ?>num-of-posts" class="col-sm-2 control-label"><?php _e( 'Number of Posts', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<select id="<?php echo self::$prefix_dash; ?>num-of-posts" name="<?php echo self::$prefix_dash; ?>num-of-posts">
									<?php for ($i = 1; $i < 21; $i++) { ?>
									<option value="<?php echo $i; ?>" <?php echo isset($settings['num_of_posts']) && (int) $settings['num_of_posts'] == $i ? 'selected' : ''; ?>><?php _e($i, self::$text_domain); ?></option>
									<?php } ?>
								</select>
								<span class="glyphicon glyphicon-info-sign" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('The total number of posts that are displayed.', self::$text_domain); ?>"></span>
							</div>
						</div>

						<!-- Number of Columns -->

						<div class="form-group has-feedback <?php echo self::$prefix_dash; ?>num-of-columns">
							<label for="<?php echo self::$prefix_dash; ?>num-of-columns" class="col-sm-2 control-label"><?php _e( 'Number of Columns', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<select id="<?php echo self::$prefix_dash; ?>num-of-columns" name="<?php echo self::$prefix_dash; ?>num-of-columns">
									<?php for ($i = 1; $i < 7; $i++) { ?>
										<option value="<?php echo $i; ?>" <?php echo isset($settings['num_of_columns']) && $settings['num_of_columns'] == $i ? 'selected' : ''; ?>><?php _e( $i , self::$text_domain); ?></option>
									<?php } ?>
								</select>
								<span class="glyphicon glyphicon-info-sign" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('The number of columns.', self::$text_domain); ?>"></span>
							</div>
						</div>

						<!-- Grid Size -->

						<div class="form-group has-feedback <?php echo self::$prefix_dash; ?>grid-size">
							<label for="<?php echo self::$prefix_dash; ?>grid-size" class="col-sm-2 control-label"><?php _e( 'Grid Size', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<select id="<?php echo self::$prefix_dash; ?>grid-size" name="<?php echo self::$prefix_dash; ?>grid-size">
									<option value="small" <?php echo isset($settings['grid_size']) && $settings['grid_size'] == 'small' ? 'selected' : ''; ?>><?php _e( 'Small', self::$text_domain); ?></option>
									<option value="medium" <?php echo isset($settings['grid_size']) && $settings['grid_size'] == 'medium' ? 'selected' : ''; ?>><?php _e( 'Medium', self::$text_domain); ?></option>
									<option value="large" <?php echo isset($settings['grid_size']) && $settings['grid_size'] == 'large' ? 'selected' : ''; ?>><?php _e( 'Large', self::$text_domain); ?></option>
								</select>
								<span class="glyphicon glyphicon-info-sign" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('The size of the images in the grid.', self::$text_domain); ?>"></span>
							</div>
						</div>

						<!-- Show Category -->

						<div class="form-group has-feedback <?php echo self::$prefix_dash; ?>post-meta">
							<label for="<?php echo self::$prefix_dash; ?>show-category" class="col-sm-2 control-label"><?php _e( 'Show Category', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<input id="<?php echo self::$prefix_dash; ?>show-category" name="<?php echo self::$prefix_dash; ?>show-category" type="checkbox" <?php echo isset( $settings['show_category'] ) && $settings['show_category'] ? 'checked="checked"' : ''; ?>>
								<label for="<?php echo self::$prefix_dash; ?>show-category">
						            <span class="fa-stack fa-lg">
						                <i class="fa fa-square-o fa-stack-1x"></i>
						                <i class="fa fa-check fa-stack-1x"></i>
						            </span>
						        </label>
								<span class="glyphicon glyphicon-info-sign" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('Show the first category for each post.', self::$text_domain); ?>"></span>
							</div>
						</div>

						<!-- Show Author -->

						<div class="form-group has-feedback <?php echo self::$prefix_dash; ?>post-meta">
							<label for="<?php echo self::$prefix_dash; ?>show-author" class="col-sm-2 control-label"><?php _e( 'Show Author', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<input id="<?php echo self::$prefix_dash; ?>show-author" name="<?php echo self::$prefix_dash; ?>show-author" type="checkbox" <?php echo isset( $settings['show_author'] ) && $settings['show_author'] ? 'checked="checked"' : ''; ?>>
								<label for="<?php echo self::$prefix_dash; ?>show-author">
						            <span class="fa-stack fa-lg">
						                <i class="fa fa-square-o fa-stack-1x"></i>
						                <i class="fa fa-check fa-stack-1x"></i>
						            </span>
						        </label>
								<span class="glyphicon glyphicon-info-sign" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('Show the author for each post.', self::$text_domain); ?>"></span>
							</div>
						</div>

						<!-- Show Post Date -->

						<div class="form-group has-feedback <?php echo self::$prefix_dash; ?>post-meta">
							<label for="<?php echo self::$prefix_dash; ?>show-post-date" class="col-sm-2 control-label"><?php _e( 'Show Post Date', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<input id="<?php echo self::$prefix_dash; ?>show-post-date" name="<?php echo self::$prefix_dash; ?>show-post-date" type="checkbox" <?php echo isset( $settings['show_post_date'] ) && $settings['show_post_date'] ? 'checked="checked"' : ''; ?>>
								<label for="<?php echo self::$prefix_dash; ?>show-post-date">
						            <span class="fa-stack fa-lg">
						                <i class="fa fa-square-o fa-stack-1x"></i>
						                <i class="fa fa-check fa-stack-1x"></i>
						            </span>
						        </label>
								<span class="glyphicon glyphicon-info-sign" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('Show the post date for each post.', self::$text_domain); ?>"></span>
							</div>
						</div>

						<!-- Show Comments Count -->

						<div class="form-group has-feedback <?php echo self::$prefix_dash; ?>post-meta">
							<label for="<?php echo self::$prefix_dash; ?>show-comments" class="col-sm-2 control-label"><?php _e( 'Show Comments Count', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<input id="<?php echo self::$prefix_dash; ?>show-comments" name="<?php echo self::$prefix_dash; ?>show-comments" type="checkbox" <?php echo isset( $settings['show_comments'] ) && $settings['show_comments'] ? 'checked="checked"' : ''; ?>>
								<label for="<?php echo self::$prefix_dash; ?>show-comments">
						            <span class="fa-stack fa-lg">
						                <i class="fa fa-square-o fa-stack-1x"></i>
						                <i class="fa fa-check fa-stack-1x"></i>
						            </span>
						        </label>
								<span class="glyphicon glyphicon-info-sign" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('Show the comments count for each post.', self::$text_domain); ?>"></span>
							</div>
						</div>

						<!-- Fancy Colors -->

						<div class="form-group has-feedback <?php echo self::$prefix_dash; ?>fancy-colors">
							<label for="<?php echo self::$prefix_dash; ?>fancy-colors" class="col-sm-2 control-label"><?php _e( 'Fancy Colors', self::$text_domain); ?></label>
							<div class="col-sm-6">
								<input id="<?php echo self::$prefix_dash; ?>fancy-colors" name="<?php echo self::$prefix_dash; ?>fancy-colors" value="<?php echo esc_attr( $settings['fancy_colors'] ); ?>" class="<?php echo self::$prefix_dash; ?>fancy-colors-selectize form-control" style="display:none;">
								<span class="glyphicon glyphicon-info-sign form-control-feedback" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('The background color of each item.  Drag and drop to re-order colors.', self::$text_domain); ?>"></span>
							</div>
						</div>

						<!-- Show Navigation Items -->

						<div class="form-group has-feedback <?php echo self::$prefix_dash; ?>show-nav">
							<label for="<?php echo self::$prefix_dash; ?>show-nav" class="col-sm-2 control-label"><?php _e('Show Navigation Buttons', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<input id="<?php echo self::$prefix_dash; ?>show-nav" name="<?php echo self::$prefix_dash; ?>show-nav" type="checkbox" <?php echo isset( $settings['show_nav'] ) && $settings['show_nav'] ? 'checked="checked"' : ''; ?>>
								<label for="<?php echo self::$prefix_dash; ?>show-nav">
						            <span class="fa-stack fa-lg">
						                <i class="fa fa-square-o fa-stack-1x"></i>
						                <i class="fa fa-check fa-stack-1x"></i>
						            </span>
						        </label>
								<span class="glyphicon glyphicon-info-sign" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('Show the previous and next buttons for the slider.', self::$text_domain); ?>"></span>
							</div>
						</div>

						<!-- Theme Style Override -->

						<div class="form-group has-feedback <?php echo self::$prefix_dash; ?>style-override">
							<label for="<?php echo self::$prefix_dash; ?>style-override" class="col-sm-2 control-label"><?php _e('Theme Style Override', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<input id="<?php echo self::$prefix_dash; ?>style-override" name="<?php echo self::$prefix_dash; ?>style-override" class="<?php echo self::$prefix_dash; ?>style-override" type="checkbox" <?php echo isset( $settings['style_override'] ) && $settings['style_override'] ? 'checked="checked"' : ''; ?>>
								<label for="<?php echo self::$prefix_dash; ?>style-override">
						            <span class="fa-stack fa-lg">
						                <i class="fa fa-square-o fa-stack-1x"></i>
						                <i class="fa fa-check fa-stack-1x"></i>
						            </span>
						        </label>
								<span class="glyphicon glyphicon-info-sign" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('Use your own custom styling for text and background, or your themes styling.', self::$text_domain); ?>"></span>
							</div>
						</div>

						<!-- Background Color -->

						<div class="form-group has-feedback <?php echo self::$prefix_dash; ?>color">
							<label for="<?php echo self::$prefix_dash; ?>color" class="col-sm-2 control-label"><?php _e('Background Color', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<input id="<?php echo self::$prefix_dash; ?>color" name="<?php echo self::$prefix_dash; ?>color" class="color-picker" value="<?php echo esc_attr( $settings['color'] ); ?>" data-default-color="#0000ff">
								<span class="glyphicon glyphicon-info-sign" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('The background color for each item.', self::$text_domain); ?>"></span>
							</div>
						</div>

						<!-- Text Color -->

						<div class="form-group has-feedback <?php echo self::$prefix_dash; ?>text-color">
							<label for="<?php echo self::$prefix_dash; ?>text-color" class="col-sm-2 control-label"><?php _e('Text Color', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<input id="<?php echo self::$prefix_dash; ?>text-color" name="<?php echo self::$prefix_dash; ?>text-color" class="color-picker" value="<?php echo esc_attr( $settings['text_color'] ); ?>" data-default-color="#ffffff">
								<span class="glyphicon glyphicon-info-sign" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('The text color for each item.', self::$text_domain); ?>"></span>
							</div>
						</div>

						<!-- Display Asynchronously -->

						<div class="form-group has-feedback">
							<label for="<?php echo self::$prefix_dash; ?>async" class="col-sm-2 control-label"><?php _e('Display Asynchronously', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<input id="<?php echo self::$prefix_dash; ?>async" name="<?php echo self::$prefix_dash; ?>async" type="checkbox" <?php echo isset( $settings['async'] ) && $settings['async'] ? 'checked="checked"' : ''; ?>>
								<label for="<?php echo self::$prefix_dash; ?>async">
						            <span class="fa-stack fa-lg">
						                <i class="fa fa-square-o fa-stack-1x"></i>
						                <i class="fa fa-check fa-stack-1x"></i>
						            </span>
						        </label>
								<span class="glyphicon glyphicon-info-sign" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('Whether or not to display data asynchronously using AJAX. This may decrease page load time.', self::$text_domain); ?>"></span>
							</div>
						</div>

					</div>

					<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix;?>location">

						<!-- Display Location -->

						<div class="form-group has-feedback">
							<label for="<?php echo self::$prefix_dash; ?>location" class="col-sm-2 control-label"><?php _e( 'Location', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<select id="<?php echo self::$prefix_dash; ?>location" name="<?php echo self::$prefix_dash; ?>location">
									<option value="bottom" <?php echo isset($settings['location']) && $settings['location'] == 'bottom' ? 'selected' : ''; ?>><?php _e( 'Bottom of Post', self::$text_domain); ?></option>
									<option value="top" <?php echo isset($settings['location']) && $settings['location'] == 'top' ? 'selected' : ''; ?>><?php _e( 'Top of Post', self::$text_domain); ?></option>
									<option value="none" <?php echo isset($settings['location']) && $settings['location'] == 'none' ? 'selected' : ''; ?>><?php _e( 'Manually Setup / Do Not Display Automatically', self::$text_domain); ?></option>
								</select>
								<i class="glyphicon glyphicon-info-sign" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('Where should the related posts section be displayed on your site?  If you want your related posts to only show via Widgets or Shortcode you can select Do not display automatically in post content.',self::$text_domain); ?>"></i>
							</div>
						</div>

						<!-- Shortcode -->

						<div class="form-group has-feedback <?php echo self::$prefix_dash;?>location <?php echo self::$prefix_dash;?>location-none">
							<label for="<?php echo self::$prefix_dash; ?>location" class="col-sm-2 control-label"><?php _e( 'Shortcode Builder', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<p class="form-control-static"><?php _e( 'To insert directly into a post please use the shortcode builder, which is next to the Add Media button on the post edit screen.', self::$text_domain); ?></p>
							</div>
						</div>

						<div class="form-group has-feedback <?php echo self::$prefix_dash;?>location <?php echo self::$prefix_dash;?>location-none">
							<label for="<?php echo self::$prefix_dash; ?>location" class="col-sm-2 control-label"><?php _e( 'PHP Template Tags', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<p class="form-control-static"><?php _e( 'There are no explicit template tags so you must use the wordpress ', self::$text_domain); ?> <strong><a href="https://codex.wordpress.org/Function_Reference/do_shortcode" target="_blank">do_shortcode()</a></strong> <?php _e( ' function.  We advise that you use the shortcode builder to first create the shortcode, then copy and paste the shortcode into the <strong>do_shortcode()</strong> function.  The <strong>id</strong> field is used to differentiate multiple instances of related posts on one page.', self::$text_domain); ?></p>
								<pre>&lt;?php do_shortcode('[nnr_related_posts id="nnrobots_related_posts_0"]'); ?&gt;</pre>
							</div>
						</div>

						<!-- Display In -->

						<div class="form-group has-feedback <?php echo self::$prefix_dash;?>location <?php echo self::$prefix_dash;?>location-top <?php echo self::$prefix_dash;?>location-bottom">
							<label for="<?php echo self::$prefix_dash; ?>location" class="col-sm-2 control-label"><?php _e( 'Display on post types', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<select id="<?php echo self::$prefix_dash; ?>display-in" name="<?php echo self::$prefix_dash; ?>display-in">
									<option value="all" <?php selected('any', $settings['display_in'], true); ?> ><?php _e('Any Post Type', self::$text_domain); ?></option>
									<?php foreach ($post_types as $post_type) { ?>
										<option value="<?php echo $post_type; ?>" <?php selected($post_type, $settings['display_in'], true); ?> ><?php _e(ucfirst($post_type), self::$text_domain); ?></option>
									<?php } ?>
								</select>
								<i class="glyphicon glyphicon-info-sign" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('What type of content should related posts be displayed in?',self::$text_domain); ?>"></i>
							</div>
						</div>

						<!-- Post Types -->

						<?php foreach ($post_types as $post_type) { ?>

						<!-- Exclude -->

						<div class="form-group has-feedback <?php echo self::$prefix_dash;?>location <?php echo self::$prefix_dash;?>location-top <?php echo self::$prefix_dash;?>location-bottom <?php echo self::$prefix_dash . $post_type . ' ' . self::$prefix_dash; ?>post-type <?php echo self::$prefix_dash . $post_type; ?>exclude">
							<label for="<?php echo self::$prefix_dash; ?>location" class="col-sm-2 control-label"><?php _e('Do not display in ' . ucfirst($post_type), self::$text_domain); ?></label>
							<div class="col-sm-6">
								<input class="<?php echo self::$prefix_dash; ?>trigger-exclude-<?php echo $post_type; ?>" id="<?php echo self::$prefix_dash; ?>trigger-exclude-<?php echo $post_type; ?>" name="<?php echo self::$prefix_dash; ?>trigger-exclude-<?php echo $post_type; ?>" type='text' value='<?php echo (isset($settings['trigger'][$post_type]['exclude']) ? $settings['trigger'][$post_type]['exclude'] :'');?>'/>
								<i class="glyphicon glyphicon-info-sign form-control-feedback" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('Select 1 or more entries to exclude from displaying Related Posts.',self::$text_domain); ?>"></i>
							</div>
						</div>

						<?php } ?>

					</div>

					<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix;?>query">

						<!-- Related Posts Pool -->

						<div class="panel panel-default">
							<div class="panel-heading">
								<h3 class="panel-title"><?php _e('Related Posts Pool', self::$text_domain); ?></h3>
							</div>
							<div class="panel-body <?php echo self::$prefix_dash; ?>related-posts-pool"></div>
						</div>

						<!-- Related By -->

						<div class="form-group has-feedback">
							<label for="<?php echo self::$prefix_dash; ?>related-by" class="col-sm-2 control-label"><?php _e( 'Related By', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<select id="<?php echo self::$prefix_dash; ?>related-by" name="<?php echo self::$prefix_dash; ?>related-by">
									<option value="contextual" <?php echo isset($settings['related_by']) && $settings['related_by'] == 'contextual' ? 'selected' : ''; ?> data-description="<?php _e('Related posts are determined by matching the current post\'s title to all other eligible post\'s title and content on your site.', self::$text_domain); ?>"><?php _e( 'Contextual' , self::$text_domain); ?></option>
									<?php foreach ($taxonomies as $taxonomy) { ?>
										<option value="<?php echo $taxonomy; ?>" <?php echo isset($settings['related_by']) && $settings['related_by'] == $taxonomy ? 'selected' : ''; ?> data-description="<?php _e('Related posts are determined by matching the current post\'s ' . $taxonomy . 's to all other eligible post\'s ' . $taxonomy . 's on your site.', self::$text_domain); ?>"><?php _e( ucfirst($taxonomy) , self::$text_domain); ?></option>
									<?php } ?>

								</select>
								<i class="glyphicon glyphicon-info-sign <?php echo self::$prefix_dash; ?>related-by-description" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title=""></i>
							</div>
						</div>

						<!-- Exclude Post Types -->

						<div class="form-group has-feedback">
							<label for="<?php echo self::$prefix_dash; ?>query-exclude" class="col-sm-2 control-label"><?php _e('Show Posts in These Post Types', self::$text_domain); ?></label>
							<div class="col-sm-6">
								<input class="<?php echo self::$prefix_dash; ?>query-exclude" id="<?php echo self::$prefix_dash; ?>query-post-type" name="<?php echo self::$prefix_dash; ?>query-post-type" type='text' required value='<?php echo (isset($settings['query']['post_type']) ? $settings['query']['post_type'] :'');?>'/>
								<i class="glyphicon glyphicon-info-sign form-control-feedback" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('Displays posts from these post types.', self::$text_domain); ?>"></i>
							</div>
						</div>

						<!-- Exclude Posts -->

						<?php foreach ($post_types as $post_type) { ?>

						<div class="form-group has-feedback">
							<label class="col-sm-2 control-label"><?php _e('Exclude ' . ucfirst($post_type), self::$text_domain); ?></label>
							<div class="col-sm-6">
								<input class="<?php echo self::$prefix_dash; ?>query-exclude <?php echo self::$prefix_dash; ?>query-exclude-<?php echo $post_type; ?>" id="<?php echo self::$prefix_dash; ?>query-exclude-<?php echo $post_type; ?>" name="<?php echo self::$prefix_dash; ?>query-exclude-<?php echo $post_type; ?>" type='text' value='<?php echo (isset($settings['query'][$post_type]['exclude']) ? $settings['query'][$post_type]['exclude'] :'');?>'/>
								<i class="glyphicon glyphicon-info-sign form-control-feedback" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('Select 1 or more entries to exclude from the Related Posts Pool.', self::$text_domain); ?>"></i>
							</div>
						</div>

						<?php } ?>

						<!-- List Taxonomies-->

						<div class="form-group has-feedback" style="display: none;">
							<div>
								<select id="<?php echo self::$prefix_dash; ?>list-taxonomies">
									<?php foreach ($taxonomies as $taxonomy) { ?>
										<option value="<?php echo $taxonomy; ?>"><?php _e(ucfirst($taxonomy), self::$text_domain); ?></option>
									<?php } ?>
								</select>
							</div>
						</div>

						<!-- Exclude Taxonomies -->

						<?php foreach ($taxonomies as $taxonomy) { ?>

						<div class="form-group has-feedback">
							<label class="col-sm-2 control-label"><?php _e('Exclude ' . ucfirst($taxonomy), self::$text_domain); ?></label>
							<div class="col-sm-6">
								<input class="<?php echo self::$prefix_dash; ?>query-exclude <?php echo self::$prefix_dash; ?>query-exclude-<?php echo $taxonomy; ?>" id="<?php echo self::$prefix_dash; ?>query-exclude-<?php echo $taxonomy; ?>" name="<?php echo self::$prefix_dash; ?>query-exclude-<?php echo $taxonomy; ?>" type='text' value='<?php echo (isset($settings['query']['taxonomy'][$taxonomy]['exclude']) ? $settings['query']['taxonomy'][$taxonomy]['exclude'] :'');?>'/>
								<i class="glyphicon glyphicon-info-sign form-control-feedback" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('Select 1 or more entries to exclude from the Related Posts Pool.', self::$text_domain); ?>"></i>
							</div>
						</div>

						<?php } ?>

						<!-- Time Range -->

						<div class="form-group has-feedback">
							<label for="<?php echo self::$prefix_dash; ?>time-range" class="col-sm-2 control-label"><?php _e( 'Time Range', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<select id="<?php echo self::$prefix_dash; ?>time-range" name="<?php echo self::$prefix_dash; ?>time-range" class="<?php echo self::$prefix_dash; ?>query-exclude">
									<option value="1_day" <?php echo isset($settings['time_range']) && $settings['time_range'] == '1_day' ? 'selected' : ''; ?>><?php _e( '1 Day', self::$text_domain); ?></option>
									<option value="7_days" <?php echo isset($settings['time_range']) && $settings['time_range'] == '7_days' ? 'selected' : ''; ?>><?php _e( '7 Days', self::$text_domain); ?></option>
									<option value="30_days" <?php echo isset($settings['time_range']) && $settings['time_range'] == '30_days' ? 'selected' : ''; ?>><?php _e( '30 Days', self::$text_domain); ?></option>
									<option value="1_year" <?php echo isset($settings['time_range']) && $settings['time_range'] == '1_year' ? 'selected' : ''; ?>><?php _e( '1 Year', self::$text_domain); ?></option>
									<option value="all_time" <?php echo isset($settings['time_range']) && $settings['time_range'] == 'all_time' ? 'selected' : ''; ?>><?php _e( 'All time', self::$text_domain); ?></option>
								</select>
								<i class="glyphicon glyphicon-info-sign" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('The time range from which the posts have been published.', self::$text_domain); ?>"></i>
							</div>
						</div>

						<!-- Add Recent Posts -->

						<div class="form-group has-feedback">
							<label for="<?php echo self::$prefix_dash; ?>add-recent" class="col-sm-2 control-label"><?php _e( 'Add Recent Posts', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<input id="<?php echo self::$prefix_dash; ?>add-recent" name="<?php echo self::$prefix_dash; ?>add-recent" type="checkbox" <?php echo isset( $settings['add_recent'] ) && $settings['add_recent'] ? 'checked="checked"' : ''; ?>>
								<label for="<?php echo self::$prefix_dash; ?>add-recent">
						            <span class="fa-stack fa-lg">
						                <i class="fa fa-square-o fa-stack-1x"></i>
						                <i class="fa fa-check fa-stack-1x"></i>
						            </span>
						        </label>
								<i class="glyphicon glyphicon-info-sign" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('If the number of related posts are less then the number of posts set to display then use recent posts for the remaining ones.', self::$text_domain); ?>"></i>
							</div>
						</div>

						<!-- Order -->

						<div class="form-group has-feedback">
							<label for="<?php echo self::$prefix_dash; ?>order" class="col-sm-2 control-label"><?php _e( 'Order', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<select id="<?php echo self::$prefix_dash; ?>order" name="<?php echo self::$prefix_dash; ?>order">
									<option value="ASC" <?php selected('ASC', $settings['order'], true); ?>><?php _e( 'Ascending', self::$text_domain); ?></option>
									<option value="DESC" <?php selected('DESC', $settings['order'], true); ?>><?php _e( 'Descending', self::$text_domain); ?></option>
								</select>
								<i class="glyphicon glyphicon-info-sign" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title="<?php _e('Designates the ascending or descending order of the Order By setting.', self::$text_domain); ?>"></i>
							</div>
						</div>

						<!-- Order By -->

						<div class="form-group has-feedback">
							<label for="<?php echo self::$prefix_dash; ?>order-by" class="col-sm-2 control-label"><?php _e( 'Order', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<select id="<?php echo self::$prefix_dash; ?>order-by" name="<?php echo self::$prefix_dash; ?>order-by">
									<option value="none" data-description="No order." <?php selected('none', $settings['order_by'], true); ?>><?php _e( 'None', self::$text_domain); ?></option>
									<option value="ID" data-description="Order by post id." <?php selected('ID', $settings['order_by'], true); ?>><?php _e( 'ID', self::$text_domain); ?></option>
									<option value="author" data-description="Order by author." <?php selected('author', $settings['order_by'], true); ?>><?php _e( 'Author', self::$text_domain); ?></option>
									<option value="title" data-description="Order by title." <?php selected('title', $settings['order_by'], true); ?>><?php _e( 'Title', self::$text_domain); ?></option>
									<option value="name" data-description="Order by post name." <?php selected('name', $settings['order_by'], true); ?>><?php _e( 'Name', self::$text_domain); ?></option>
									<option value="type" data-description="Order by post type." <?php selected('type', $settings['order_by'], true); ?>><?php _e( 'Type', self::$text_domain); ?></option>
									<option value="date" data-description="Order by date." <?php selected('date', $settings['order_by'], true); ?>><?php _e( 'Date', self::$text_domain); ?></option>
									<option value="modified" data-description="Order by last modified date." <?php selected('modified', $settings['order_by'], true); ?>><?php _e( 'Last Modified Date', self::$text_domain); ?></option>
									<option value="parent" data-description="Order by post/page parent id." <?php selected('parent', $settings['order_by'], true); ?>><?php _e( 'Parent ID', self::$text_domain); ?></option>
									<option value="rand" data-description="Random order." <?php selected('rand', $settings['order_by'], true); ?>><?php _e( 'Random', self::$text_domain); ?></option>
									<option value="comment_count" data-description="Order by number of comments." <?php selected('comment_count', $settings['order_by'], true); ?>><?php _e( 'Comment Count', self::$text_domain); ?></option>
									<option value="menu_order" data-description="Order by Page Order. Used most often for Pages (Order field in the Edit Page Attributes box) and for Attachments (the integer fields in the Insert / Upload Media Gallery dialog), but could be used for any post type with distinct 'menu_order' values (they all default to 0)." <?php selected('menu_order', $settings['order_by'], true); ?>><?php _e( 'Menu Order', self::$text_domain); ?></option>
								</select>
								<i class="glyphicon glyphicon-info-sign <?php echo self::$prefix_dash; ?>orderby-description" aria-hidden="true" data-toggle="tooltip" data-placement="bottom" title=""></i>
							</div>
						</div>
					</div>

					<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix;?>license">

						<h2 id="nnr-heading"><?php _e("Updates", self::$text_domain); ?></h2>

						<div class="form-group has-feedback <?php echo self::$prefix_dash; ?>license-key-feedback">
							<label class="control-label col-sm-3"><?php _e("License Key", self::$text_domain); ?></label>

							<div class="col-sm-9">
								<div class="col-sm-8" style="padding-left:0px;">
									<input type="text" class="form-control <?php echo self::$prefix_dash; ?>license-key" value="<?php echo $license_key; ?>" placeholder="<?php _e('Enter your License Key', self::$text_domain); ?>"/>
								</div>
							</div>

						</div>

						<!-- Check PHP Version -->

						<?php if ( version_compare(phpversion(), NNROBOTS_RELATED_POSTS_MIN_PHP_VERSION) < 1 ) { ?>

							<div class="form-group has-feedback has-error">
								<label class="col-sm-3 control-label"><?php _e("PHP Version Info", self::$text_domain); ?></label>
								<div class="col-sm-9">
									<p class="form-control-static" style="color:#a94442;"><?php _e('The required minimum version of PHP is <strong>v' . NNROBOTS_RELATED_POSTS_MIN_PHP_VERSION . '</strong> and your version is <strong>v' . phpversion() . '</strong>. Your version of PHP is outdated and we strongly recommend that you <a href="https://99robots.com/?p=7356" target="_blank">update</a> your version of PHP to at least <strong>v' . NNROBOTS_RELATED_POSTS_MIN_PHP_VERSION . '</strong>.', self::$text_domain); ?></p>
								</div>
							</div>

						<?php } else { ?>

							<div class="form-group">
								<label class="col-sm-3 control-label"><?php _e("PHP Version Info", self::$text_domain); ?></label>
								<div class="col-sm-9">
									<p class="form-control-static"><?php _e('The required minimum version of PHP is <strong>v' . NNROBOTS_RELATED_POSTS_MIN_PHP_VERSION . '</strong> and your version is <strong>v' . phpversion() . '</strong>. You have a sufficient version of a PHP.', self::$text_domain); ?></p>
								</div>
							</div>

						<?php } ?>

						<!-- Display WordPress and Plguin Version -->

						<div class="form-group">
							<label class="col-sm-3 control-label"><?php _e("Version Info", self::$text_domain); ?></label>
							<div class="col-sm-9">
								<p class="form-control-static"><?php _e("You are currently running " . NNROBOTS_RELATED_POSTS_ITEM_NAME . "  <strong>v" . NNROBOTS_RELATED_POSTS_VERSION_NUM . "</strong> on WordPress <strong>v" . $wp_version . '</strong>', self::$text_domain); ?></p>
							</div>
						</div>

					</div>

				</div>

			</div>

			<?php wp_nonce_field(self::$prefix . 'admin_settings'); ?>

			<p class="submit">
				<input type="submit" id="submit" name="submit" class="btn btn-primary" value="<?php _e('Save Changes', self::$text_domain); ?>">
				<input type="button" name="clear-cache" class="btn btn-default" value="<?php _e('Clear Cache', self::$text_domain); ?>">
			</p>

		</form>
	</div>

	<?php require_once('footer.php'); ?>

</div>